package com.ruoyi.jarvis.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * ERP商品关联对象 erp_product_relation
 * 
 * @author ruoyi
 * @date 2024-01-01
 */
public class ErpProductRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 常用商品ID */
    @Excel(name = "常用商品ID")
    private Long favoriteProductId;

    /** ERP应用ID */
    @Excel(name = "ERP应用ID")
    private String appid;

    /** ERP商品ID */
    @Excel(name = "ERP商品ID")
    private String erpProductId;

    /** ERP商品标题 */
    @Excel(name = "ERP商品标题")
    private String erpProductTitle;

    /** ERP商品链接 */
    @Excel(name = "ERP商品链接")
    private String erpProductUrl;

    /** ERP商品状态 */
    @Excel(name = "ERP商品状态")
    private String erpProductStatus;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setFavoriteProductId(Long favoriteProductId) 
    {
        this.favoriteProductId = favoriteProductId;
    }

    public Long getFavoriteProductId() 
    {
        return favoriteProductId;
    }

    public void setAppid(String appid) 
    {
        this.appid = appid;
    }

    public String getAppid() 
    {
        return appid;
    }

    public void setErpProductId(String erpProductId) 
    {
        this.erpProductId = erpProductId;
    }

    public String getErpProductId() 
    {
        return erpProductId;
    }

    public void setErpProductTitle(String erpProductTitle) 
    {
        this.erpProductTitle = erpProductTitle;
    }

    public String getErpProductTitle() 
    {
        return erpProductTitle;
    }

    public void setErpProductUrl(String erpProductUrl) 
    {
        this.erpProductUrl = erpProductUrl;
    }

    public String getErpProductUrl() 
    {
        return erpProductUrl;
    }

    public void setErpProductStatus(String erpProductStatus) 
    {
        this.erpProductStatus = erpProductStatus;
    }

    public String getErpProductStatus() 
    {
        return erpProductStatus;
    }

    public void setRemark(String remark) 
    {
        this.remark = remark;
    }

    public String getRemark() 
    {
        return remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("favoriteProductId", getFavoriteProductId())
            .append("appid", getAppid())
            .append("erpProductId", getErpProductId())
            .append("erpProductTitle", getErpProductTitle())
            .append("erpProductUrl", getErpProductUrl())
            .append("erpProductStatus", getErpProductStatus())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
